Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}/lists' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 845781,
"page": 1,
"results": [
{
"description": "",
"favorite_count": 0,
"id": 114281,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 739,
"list_type": "movie",
"name": "Dimshik movies watched 1501-2000",
"poster_path": null
},
{
"description": "A list of mids found by Mid Hunters",
"favorite_count": 0,
"id": 8272938,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 7422,
"list_type": "movie",
"name": "Mid Hunting List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503086,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "Ashik",
"poster_path": null
},
{
"description": "Bing",
"favorite_count": 0,
"id": 8501649,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 82,
"list_type": "movie",
"name": "To Watch",
"poster_path": null
},
{
"description": "Master List In Progress",
"favorite_count": 0,
"id": 51108,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11738,
"list_type": "movie",
"name": "My Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8497887,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 19,
"list_type": "movie",
"name": "Kids",
"poster_path": null
},
{
"description": "Trying to list the movies I have watched, but it may take quite some time to complete it.\r\n\r\nBy the way, I use MyAnimeList's notation system, which is:\r\n\r\n(1) Appalling; (2) Horrible; (3) Very Bad; (4) Bad; (5) Average; (6) Fine; (7) Good; (8) Very Good; (9) Great; (10) Masterpiece",
"favorite_count": 0,
"id": 8303328,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 176,
"list_type": "movie",
"name": "WATCHED",
"poster_path": null
},
{
"description": "primeVideo Top 10 Movies - Updated 2024-12-24T12:02:53.365-05:00",
"favorite_count": 0,
"id": 8302792,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 10,
"list_type": "movie",
"name": "Top 10 Movies - Prime Video",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501709,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 27,
"list_type": "movie",
"name": "nanaamoah",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7111843,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 29,
"list_type": "movie",
"name": "awk-player.watch-later-list.#preset_0",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8168597,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15651,
"list_type": "movie",
"name": "movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503062,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"list_type": "movie",
"name": "trending",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8230010,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 184,
"list_type": "movie",
"name": "Christmas Movies",
"poster_path": null
},
{
"description": "A list of my favorite movies",
"favorite_count": 0,
"id": 8502419,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1000,
"list_type": "movie",
"name": "action",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8256003,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 101,
"list_type": "movie",
"name": "Christmas Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501581,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 31,
"list_type": "movie",
"name": "Tobhar",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501732,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 34,
"list_type": "movie",
"name": "movie ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8250820,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 693,
"list_type": "movie",
"name": "watched",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8285888,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 507,
"list_type": "movie",
"name": "Watched 2024 - Movie Juice",
"poster_path": null
},
{
"description": "A list of Movies running in Theaters",
"favorite_count": 0,
"id": 63802,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 33,
"list_type": "movie",
"name": "Now Running",
"poster_path": null
}
],
"total_pages": 10,
"total_results": 197
}This endpoint retrieves the list that the movie has been added to.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the movie language.
"en"
This represents the page number.
"1"
Lists
845781
1
Show child attributes
[
{
"description": "",
"favorite_count": 0,
"id": 114281,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 739,
"list_type": "movie",
"name": "Dimshik movies watched 1501-2000",
"poster_path": null
},
{
"description": "A list of mids found by Mid Hunters",
"favorite_count": 0,
"id": 8272938,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 7422,
"list_type": "movie",
"name": "Mid Hunting List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503086,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1,
"list_type": "movie",
"name": "Ashik",
"poster_path": null
},
{
"description": "Bing",
"favorite_count": 0,
"id": 8501649,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 82,
"list_type": "movie",
"name": "To Watch",
"poster_path": null
},
{
"description": "Master List In Progress",
"favorite_count": 0,
"id": 51108,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11738,
"list_type": "movie",
"name": "My Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8497887,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 19,
"list_type": "movie",
"name": "Kids",
"poster_path": null
},
{
"description": "Trying to list the movies I have watched, but it may take quite some time to complete it.\r\n\r\nBy the way, I use MyAnimeList's notation system, which is:\r\n\r\n(1) Appalling; (2) Horrible; (3) Very Bad; (4) Bad; (5) Average; (6) Fine; (7) Good; (8) Very Good; (9) Great; (10) Masterpiece",
"favorite_count": 0,
"id": 8303328,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 176,
"list_type": "movie",
"name": "WATCHED",
"poster_path": null
},
{
"description": "primeVideo Top 10 Movies - Updated 2024-12-24T12:02:53.365-05:00",
"favorite_count": 0,
"id": 8302792,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 10,
"list_type": "movie",
"name": "Top 10 Movies - Prime Video",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501709,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 27,
"list_type": "movie",
"name": "nanaamoah",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7111843,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 29,
"list_type": "movie",
"name": "awk-player.watch-later-list.#preset_0",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8168597,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15651,
"list_type": "movie",
"name": "movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503062,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"list_type": "movie",
"name": "trending",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8230010,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 184,
"list_type": "movie",
"name": "Christmas Movies",
"poster_path": null
},
{
"description": "A list of my favorite movies",
"favorite_count": 0,
"id": 8502419,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1000,
"list_type": "movie",
"name": "action",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8256003,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 101,
"list_type": "movie",
"name": "Christmas Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501581,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 31,
"list_type": "movie",
"name": "Tobhar",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501732,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 34,
"list_type": "movie",
"name": "movie ",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8250820,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 693,
"list_type": "movie",
"name": "watched",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8285888,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 507,
"list_type": "movie",
"name": "Watched 2024 - Movie Juice",
"poster_path": null
},
{
"description": "A list of Movies running in Theaters",
"favorite_count": 0,
"id": 63802,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 33,
"list_type": "movie",
"name": "Now Running",
"poster_path": null
}
]
10
197